[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[PATCH] tests: add an expected-to-fail test using \< in a multi-byte loc
From: |
Jim Meyering |
Subject: |
[PATCH] tests: add an expected-to-fail test using \< in a multi-byte locale |
Date: |
Sat, 17 Apr 2010 12:56:21 +0200 |
FYI, I've just added this new, expected-to-fail test.
Thanks to Jaroslav Škarvada for the bug report.
>From d44a51fee89ce27672cb04e4e71aeb35d14779c2 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sat, 17 Apr 2010 12:10:01 +0200
Subject: [PATCH] tests: add an expected-to-fail test using \< in a multi-byte
locale
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
* tests/word-delim-multibyte: New test. Currently failing.
* tests/Makefile.am (TESTS): Add it.
(XFAIL_TESTS): Define, temporarily.
Reported by Jaroslav Škarvada in http://savannah.gnu.org/bugs/?29537.
---
tests/Makefile.am | 5 +++++
tests/word-delim-multibyte | 19 +++++++++++++++++++
2 files changed, 24 insertions(+), 0 deletions(-)
create mode 100644 tests/word-delim-multibyte
diff --git a/tests/Makefile.am b/tests/Makefile.am
index f91daa8..fae2c85 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -22,6 +22,10 @@ AM_CFLAGS = $(WARN_CFLAGS) $(WERROR_CFLAGS)
AM_LDFLAGS = $(IGNORE_UNUSED_LIBRARIES_CFLAGS)
LDADD = ../lib/libgreputils.a $(LIBINTL) ../lib/libgreputils.a
+# Remove this definition once the failing test passes.
+XFAIL_TESTS = \
+ word-delim-multibyte
+
TESTS = \
backref.sh \
backref-word \
@@ -56,6 +60,7 @@ TESTS = \
prefix-of-multibyte \
warning.sh \
word-multi-file \
+ word-delim-multibyte \
yesno.sh
EXTRA_DIST = \
diff --git a/tests/word-delim-multibyte b/tests/word-delim-multibyte
new file mode 100644
index 0000000..20276c1
--- /dev/null
+++ b/tests/word-delim-multibyte
@@ -0,0 +1,19 @@
+#!/bin/sh
+# exercise \< and \> with multibyte data.
+# Derived from http://savannah.gnu.org/bugs/?29537
+: ${srcdir=.}
+. "$srcdir/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+
+echo 'é' > in || framework_failure_
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+fail=0
+grep '\<é' in > out 2>err || fail=1
+
+compare out in || fail=1
+compare err /dev/null || fail=1
+
+Exit $fail
--
1.7.1.rc1.269.ga27c7
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [PATCH] tests: add an expected-to-fail test using \< in a multi-byte locale,
Jim Meyering <=